MD5MD5CRC32FileChecksum (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.fs
Class MD5MD5CRC32FileChecksum

    java.lang.Object
      org.apache.hadoop.fs.FileChecksum
          org.apache.hadoop.fs.MD5MD5CRC32FileChecksum

All Implemented Interfaces:
  Writable

    public class MD5MD5CRC32FileChecksum

extends FileChecksum

MD5 of MD5 of CRC32.

Field Summary
`static int` | `LENGTH`

Constructor Summary
`MD5MD5CRC32FileChecksum()` Same as this(0, 0, null)
`MD5MD5CRC32FileChecksum(int bytesPerCRC, long crcPerBlock, MD5Hash md5)` Create a MD5FileChecksum

Method Summary
`String` | `getAlgorithmName()` The checksum algorithm name
`byte[]` | `getBytes()` The value of the checksum in bytes
`int` | `getLength()` The length of the checksum in bytes
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`String` | `toString()`
`static MD5MD5CRC32FileChecksum` | `valueOf(Attributes attrs)` Return the object represented in the attributes.
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.
`static void` | `write(org.znerd.xmlenc.XMLOutputter xml, MD5MD5CRC32FileChecksum that)` Write that object to xml output.

Methods inherited from class org.apache.hadoop.fs.FileChecksum
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LENGTH

    public static final int LENGTH

See Also:
  Constant Field Values

Constructor Detail

### MD5MD5CRC32FileChecksum

    public MD5MD5CRC32FileChecksum()

  Same as this(0, 0, null)

### MD5MD5CRC32FileChecksum

    public MD5MD5CRC32FileChecksum(int bytesPerCRC,
                                   long crcPerBlock,
                                   MD5Hash md5)

  Create a MD5FileChecksum

Method Detail

### getAlgorithmName

    public String getAlgorithmName()

  The checksum algorithm name

  Specified by:
    `getAlgorithmName` in class `FileChecksum`

### getLength

    public int getLength()

  The length of the checksum in bytes

  Specified by:
    `getLength` in class `FileChecksum`

### getBytes

    public byte[] getBytes()

  The value of the checksum in bytes

  Specified by:
    `getBytes` in class `FileChecksum`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### write

    public void write(DataOutput out)
               throws IOException

  Serialize the fields of this object to `out`.

  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### write

    public static void write(org.znerd.xmlenc.XMLOutputter xml,
                             MD5MD5CRC32FileChecksum that)
                      throws IOException

  Write that object to xml output.

  Throws:
    `IOException`

### valueOf

    public static MD5MD5CRC32FileChecksum valueOf(Attributes attrs)
                                           throws SAXException

  Return the object represented in the attributes.

  Throws:
    `SAXException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation